# std::sub_match<BidirIt>::operator string_type, std::sub_match<BidirIt>::str

From cppreference.com
< cpp‎ | regex‎ | sub match

operator string_type() const; | (1) |
string_type str() const; | (2) |

Converts to an object of the underlying std::basic_string type.

The first version is an implicit conversion, the second one is explicit.

### Parameters

(none)

### Return value

Returns the matched character sequence as an object of the underlying std::basic_string type. If the `matched` member is false then the empty string is returned.

### Complexity

Linear in the length of the underlying character sequence.

### Example

Run this code

    #include <iostream>
    #include <regex>
    #include <string>
    int main()
    {
      std::ssub_match sm;
      std::string s = sm;  // implicit conversion
      std::cout << s.length() << '\n';
    }

Output:

    ​0​

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/sub_match/str&oldid=69166"